# Validar nome completo

{% hint style="info" %}
Não há uma forma infálivel de validar se o que o usuário digitou é um nome completo. Essa ação tenta através de expressão regular verificar os casos que com certeza não são.
{% endhint %}

Para essa validação são aplicadas algumas regras de expressão regular e combinação de vogais e consoantes.

```javascript
[
    {
        "name": "validate_fullname",
        "parameters": {
            "name": "<? input.text ?>"
        },
        "result_variable": "fullname_validation"
    }
]
```

## Atributos

* **name:** validate\_fullname
* **parameters:**
  * **name:** nome que será validado.
* **result\_variable:** variável de contexto que receberá o resultado da validação. Em caso de sucesso, essa variável conterá o seguinte JSON:

```javascript
{
  "valid": true
}
```

## Exemplo

```javascript
[
    {
        "name": "validate_fullname",
        "parameters": {
            "name": "Israel Moraes"
        },
        "result_variable": "fullname_validation"
    }
]
```

Resposta que ficará armazenada na variável de contexto `$fullname_validation`:

```javascript
{
    "valid": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/actions/validate_fullname.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
